# do networking stuff
sudo systemctl enable dhcpcd
sudo systemctl start dhcpcd
interface=$(find /sys/class/net -mindepth 1 -maxdepth 1 -lname '*virtual*' -prune -o -printf '%f\n'| head -1)
#sudo systemctl enable dhcpcd@$interface.service
#sudo systemctl start dhcpcd@$interface.service
sleep 3

# install yay
git clone https://aur.archlinux.org/yay.git
(cd yay && makepkg -sic)
rm -rf yay

# update conky config with correct interface
sed -i "s/wlp9s0/$interface/g" ~/.config/conky/Zavijava/Zavijava.conf

# install papirus folders
wget -qO- https://git.io/papirus-folders-install | sh
papirus-folders -C nordic --theme Papirus

# install aur packages
yay -S --noconfirm --answerdiff=None neovim-plug zsh-theme-powerlevel10k-git

# install zsh and omz
#chsh -s $(which zsh)
sh -c "$(wget https://raw.github.com/ohmyzsh/ohmyzsh/master/tools/install.sh -O -)"
source ~/.zshrc
